<%
/**
 * <pre>
 * @Class Name : initPasswordForm.jsp
 * 
 * @Description : 비밀번호 초기화
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 7. 12.    JSYOO       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP JSYOO
 * @since 2021. 7. 12.
 * @version 1.0
 *
 */
 %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Insert title here</title>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.11.3.min.js"></script>
<script>
function goFindPw(){
    $("#mobileNo").val($("#mobileNo").val().replace(/-/gi,""));
    var regExp = /^\d{3}\d{3,4}\d{4}$/;
    
    if(!regExp.test($("#mobileNo").val()) || $("#mobileNo").val()==""){
        
        alert("형식에 맞지 않는 번호입니다.");
        return false;
    }
    
    var data = $("form[name=initPw]").serialize();
    
    $.ajax({
        url : "/nlib/member/initPassword.ajax",
        type : "POST",
        data : data,
        success : function(result){
        	
            alert(result);
            location.href='${pageContext.request.contextPath}/login/loginForm.do';
            
            },error : function(){
        	alert("이메일 발송에 실패하였습니다.");
        }
    })
}
</script>
</head>
<body>
<form id="initPw" name="initPw" method="post">
<h1>비밀번호 찾기</h1>
<p>회원님의 본인확인을 위해 가입시 등록하신 이메일/휴대폰번호를 입력하여 주시기 바랍니다.</p><br>
Email <input type="text" id="loginUserId" name="loginUserId">
핸드폰 번호 <input type="text" id="mobileNo" name="mobileNo">
<input type="button" onclick ="goFindPw();" value="임시비밀번호 받기">
</form>
</body>
</html>